/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

import entities.GiroCuentaCorriente;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author ryuuji
 */
@Local
public interface GiroCuentaCorrienteFacadeLocal {

  void create(GiroCuentaCorriente giroCuentaCorriente);

  void edit(GiroCuentaCorriente giroCuentaCorriente);

  void remove(GiroCuentaCorriente giroCuentaCorriente);

  GiroCuentaCorriente find(Object id);

  List<GiroCuentaCorriente> findAll();

  List<GiroCuentaCorriente> findRange(int[] range);

  int count();
  
}
